AWS Amplify API
AWS Amplify Home
Options
All

- Public
- Public/Protected
- All

Inherited Externals Only exported
Menu

### Hierarchy

- Amplify

## Index

### Properties

- API
- Analytics
- Auth
- Cache
- I18n
- Interactions
- Logger
- PubSub
- Pushnotification
- ServiceWorker
- Storage
- UI
- XR

### Methods

- addPluggable
- configure
- register

## Properties

### Static API

API: any = null

- Defined in core/src/Amplify.ts:13

### Static Analytics

Analytics: any = null

- Defined in core/src/Amplify.ts:12

### Static Auth

Auth: any = null

- Defined in core/src/Amplify.ts:11

### Static Cache

Cache: any = null

- Defined in core/src/Amplify.ts:16

### Static I18n

I18n: any = null

- Defined in core/src/Amplify.ts:15

### Static Interactions

Interactions: any = null

- Defined in core/src/Amplify.ts:18

### Static Logger

Logger: any = LoggerClass

- Defined in core/src/Amplify.ts:23

### Static PubSub

PubSub: any = null

- Defined in core/src/Amplify.ts:17

### Static Pushnotification

Pushnotification: any = null

- Defined in core/src/Amplify.ts:19

### Static ServiceWorker

ServiceWorker: any = null

- Defined in core/src/Amplify.ts:24

### Static Storage

Storage: any = null

- Defined in core/src/Amplify.ts:14

### Static UI

UI: any = null

- Defined in core/src/Amplify.ts:20

### Static XR

XR: any = null

- Defined in core/src/Amplify.ts:21

## Methods

### Static addPluggable

- addPluggable(pluggable: any): void

- - Defined in core/src/Amplify.ts:48

  #### Parameters

  - ##### pluggable: any

  #### Returns void

### Static configure

- configure(config: any): object

- - Defined in core/src/Amplify.ts:36

  #### Parameters

  - ##### config: any

  #### Returns object

### Static register

- register(comp: any): void

- - Defined in core/src/Amplify.ts:26

  #### Parameters

  - ##### comp: any

  #### Returns void